ngircd-tor/src/testsuite/tests.sh

33 lines
702 B
Bash
Raw Normal View History

2002-09-09 12:16:24 +02:00
#!/bin/sh
# ngIRCd Test Suite
2004-09-04 21:14:46 +02:00
# $Id: tests.sh,v 1.6 2004/09/04 19:14:46 alex Exp $
# detect source directory
[ -z "$srcdir" ] && srcdir=`dirname $0`
2002-09-09 12:16:24 +02:00
name=`basename $0`
test=`echo ${name} | cut -d '.' -f 1`
mkdir -p logs
2002-09-09 12:16:24 +02:00
2004-09-04 21:14:46 +02:00
if [ ! -r "$test" ]; then
echo " ${name}: test \"$test\" not found!"; exit 77
exit 1
fi
2002-09-09 12:16:24 +02:00
type expect > /dev/null 2>&1
if [ $? -ne 0 ]; then
echo " ${name}: \"expect\" not found."; exit 77
2002-09-09 12:16:24 +02:00
fi
type telnet > /dev/null 2>&1
if [ $? -ne 0 ]; then
echo " ${name}: \"telnet\" not found."; exit 77
fi
2002-09-09 12:16:24 +02:00
2004-09-04 21:14:46 +02:00
echo -n " running ${test} ..."
expect ${srcdir}/${test}.e > logs/${test}.log 2>&1; r=$?
[ $r -eq 0 ] && echo " ok." || echo " failure!"
exit $r
2002-09-09 12:16:24 +02:00
# -eof-